'Newland.CityTheme:SearchButton':
  superTypes:
    'Neos.Neos:Content': true
    'Newland.NeosNodeTypes:LinkMixin': true
    'Newland.BaseTheme:SpacingMixin': false

  label: ${q(node).property('linkTitle') || 'Search Button'}

  ui:
    label: Search Button
    icon: wrench
    inspector:
      groups:
        settings:
          label: i18n
          icon: cog

  properties:
    searchQuery:
      type: string
      ui:
        label: i18n
        reloadIfChanged: true
        inspector:
          group: link
        help:
          message: i18n
